You are viewing an older version. Click here to view the latest

Server
www.example.com
Server Variables

X-Yoti-Auth-Token header containing the client_session_token value obtained via the Session creation endpoint.

Fields
KeyIn
X-Yoti-Auth-TokenHeader

Get all the supported documents

Get all the supported documents

Auth
GET /supported-documents
Copy
Responses application/json
200

OK

SupportedDocumentsobject
supported_countriesarray[object]
codestring
supported_documentsarray[object]
typestring
Response
Copy

Create a new session

Create a new session

Auth
Headers
X-Yoti-SDKstring

'X-Yoti-SDK' contains the language the SDK is written in

X-Yoti-SDK-Versionstring

'X-Yoti-SDK-Version' contains the version of the SDK being used

Query String
sdkIdstring
noncestring
timestampstring
Request Body application/json
CreateSessionPayloadobject

Create Session Payload

client_session_token_ttlint32

Number of seconds for the user to complete the whole flow.

Default: 600

session_deadlinestring

The point-in-time by which the user must complete the whole flow. Expressed as a date, time and time-zone in RFC3339 format. This field may not be used with a client_session_token_ttl field.

resources_ttlint32

Retention period for uploaded documents/images in number of seconds.

minimum: 86700

Default: 87000

user_tracking_idstring

Allows to track the same user across multiple sessions. Should not contain any personal identifiable information.

block_biometric_consentboolean

Allows the relying business to block the collection of biometric consent

Default: false

ibv_optionsobject
supportstring

Determines whether resources must be provided in-branch

Enum: MANDATORY,NOT_ALLOWED

guidance_urlstring
notificationsobject
endpointstring

POST endpoint required. Update notifications are sent to this endpoint based on the selected subscription topics

pattern: ^https://.+$

topicsarray[string]

Enum: RESOURCE_UPDATE,TASK_COMPLETION,CHECK_COMPLETION,SESSION_COMPLETION,NEW_PDF_SUPPLIED,INSTRUCTIONS_EMAIL_REQUESTED

auth_tokenstring

If provided, Yoti will send this as a base64 encoded value for the Authorization header in the notifications

auth_typestring

Determines the type of auth header to include in outbound notifications. Defaults to BASIC

Enum: BASIC,BEARER

requested_checksarray[object]
requested_tasksarray[object]
required_documentsarray[object]

Allows the Relying Business to require multiple documents and filter the list of allowable document countries/types.

Read more here

sdk_configobject
allowed_capture_methodsstring

Acceptable values are (case-insensitive): [CAMERA_AND_UPLOAD, CAMERA]

Enum: CAMERA_AND_UPLOAD,CAMERA

primary_colourstring

pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$

secondary_colourstring

pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$

font_colourstring

pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$

localestring

pattern: ^(?!\s*$).+

preset_issuing_countrystring
success_urlstring
error_urlstring
privacy_policy_urlstring
attempts_configurationobject

Allows the relying business to specify the number of retries allowed for certain scenarios.

ID_DOCUMENT_TEXT_DATA_EXTRACTIONobject

Retry configuration for ID document text extraction tasks. This is treated as a map, and so keys are subject to change

*int32
enable_handoffboolean

Allows the relying business to enable/disable a handoff session (if omitted this defaults to true)

Default: true

POST /sessions
Copy
Responses application/json
201

Session created

CreateSessionResponseBodyobject

Create Session Response Body

client_session_token_ttlint32

remaining time the user has to complete the session

client_session_tokenuuid

client token to be used for auth of any calls made by client for this session

session_iduuid
400

Payload validation error or malformed request

401

Unauthorised request (wrong key or signature)

403

Unauthorised request (app is disabled or has no associated organisation_id)

404

The application for provided sdk id does not exist

503

The service is unavailable

Response
Copy

Retrieve the entire Session

Retrieve the entire Session

Auth
Path Params
sessionIdstring
Query String
sdkIdstring
timestampstring
noncestring
GET /sessions/{sessionId}
Copy
Responses application/json
200

OK

SessionResponseobject
session_iduuid
client_session_token_ttlint32

remaining time the user has to complete the session

user_tracking_idstring
biometric_consentdate-time
statestring

The current state of the session

Enum: ONGOING,COMPLETED,EXPIRED

client_session_tokenuuid

client token to be used for auth of any calls made by client for this session

resourcesobject
id_documentsarray[object]
iduuid
sourceobject
typestring

Enum: END_USER,IBV,RELYING_BUSINESS

document_typestring
issuing_countrystring
pagesarray[object]
capture_methodstring

Acceptable values are (case-insensitive): [CAMERA, UPLOAD]

Enum: CAMERA,UPLOAD

mediaobject
createddate-time

Uses the ISO8601 standard representation of date times

last_updateddate-time

Uses the ISO8601 standard representation of date times

iduuid
typestring

Enum: IMAGE,JSON,BINARY

framesarray[object]

The frames for page media.

mediaobject
createddate-time

Uses the ISO8601 standard representation of date times

last_updateddate-time

Uses the ISO8601 standard representation of date times

iduuid
typestring

Enum: IMAGE,JSON,BINARY

document_fieldsobject
mediaobject
createddate-time

Uses the ISO8601 standard representation of date times

last_updateddate-time

Uses the ISO8601 standard representation of date times

iduuid
typestring

Enum: IMAGE,JSON,BINARY

document_id_photoobject
mediaobject
createddate-time

Uses the ISO8601 standard representation of date times

last_updateddate-time

Uses the ISO8601 standard representation of date times

iduuid
typestring

Enum: IMAGE,JSON,BINARY

tasksarray[object]
iduuid
statestring

Enum: DONE,PENDING,CREATED,FAILED

createddate-time

Uses the ISO8601 standard representation of date times

last_updateddate-time

Uses the ISO8601 standard representation of date times

generated_mediaarray[object]
iduuid
typestring

Enum: IMAGE,JSON,BINARY

generated_checksarray[object]
iduuid
typestring

Enum: ID_DOCUMENT_TEXT_DATA_CHECK,SUPPLEMENTARY_DOCUMENT_TEXT_DATA_CHECK

typestring

Default: ID_DOCUMENT_TEXT_DATA_EXTRACTION

supplementary_documentsarray[object]
iduuid
sourceobject
typestring

Enum: END_USER,IBV,RELYING_BUSINESS

document_typestring
issuing_countrystring
fileobject
mediaobject
createddate-time

Uses the ISO8601 standard representation of date times

last_updateddate-time

Uses the ISO8601 standard representation of date times

iduuid
typestring

Enum: IMAGE,JSON,BINARY

pagesarray[object]
capture_methodstring

Acceptable values are (case-insensitive): [CAMERA, UPLOAD]

Enum: CAMERA,UPLOAD

mediaobject
createddate-time

Uses the ISO8601 standard representation of date times

last_updateddate-time

Uses the ISO8601 standard representation of date times

iduuid
typestring

Enum: IMAGE,JSON,BINARY

framesarray[object]

The frames for page media.

mediaobject
createddate-time

Uses the ISO8601 standard representation of date times

last_updateddate-time

Uses the ISO8601 standard representation of date times

iduuid
typestring

Enum: IMAGE,JSON,BINARY

document_fieldsobject
mediaobject
createddate-time

Uses the ISO8601 standard representation of date times

last_updateddate-time

Uses the ISO8601 standard representation of date times

iduuid
typestring

Enum: IMAGE,JSON,BINARY

tasksarray[object]
iduuid
statestring

Enum: DONE,PENDING,CREATED,FAILED

createddate-time

Uses the ISO8601 standard representation of date times

last_updateddate-time

Uses the ISO8601 standard representation of date times

generated_mediaarray[object]
iduuid
typestring

Enum: IMAGE,JSON,BINARY

generated_checksarray[object]
iduuid
typestring

Enum: ID_DOCUMENT_TEXT_DATA_CHECK,SUPPLEMENTARY_DOCUMENT_TEXT_DATA_CHECK

typestring

Default: SUPPLEMENTARY_DOCUMENT_TEXT_DATA_EXTRACTION

liveness_capturearray[object]
iduuid
sourceobject
typestring

Enum: END_USER,IBV,RELYING_BUSINESS

liveness_typestring

Default: ZOOM

facemapobject
mediaobject
createddate-time

Uses the ISO8601 standard representation of date times

last_updateddate-time

Uses the ISO8601 standard representation of date times

iduuid
typestring

Enum: IMAGE,JSON,BINARY

framesarray[object]

The first three frames should always have media in a completed zoom liveness resource. Media might be null for frames 4-7

mediaobject
createddate-time

Uses the ISO8601 standard representation of date times

last_updateddate-time

Uses the ISO8601 standard representation of date times

iduuid
typestring

Enum: IMAGE,JSON,BINARY

tasksarray[object]
face_capturearray[object]
iduuid
sourceobject
typestring

Enum: END_USER,IBV,RELYING_BUSINESS

imageobject
mediaobject
createddate-time

Uses the ISO8601 standard representation of date times

last_updateddate-time

Uses the ISO8601 standard representation of date times

iduuid
typestring

Enum: IMAGE,JSON,BINARY

tasksarray[object]
checksarray[object]
400

Invalid payload or request missing headers or query params

401

Unauthorised request (wrong key or signature)

404

Session or App not found

Response
Copy

Delete the session and everything associated with it

Delete the session and everything associated with it

Auth
Path Params
sessionIdstring
Query String
sdkIdstring
DELETE /sessions/{sessionId}
Copy
Responses application/json
204

Session deleted

No response body
400

Invalid payload or request missing headers or query params

401

Unauthorised request (wrong key or signature)

404

App not found

409

The checks are not finished

Response
Copy

Retrieve media content

Retrieves a specific media

Auth
Headers
X-Yoti-Device-Metastring

X-Yoti-Device-Meta header containing a base64 encoded JSON with DeviceMetadata (as per the schema)

Path Params
sessionIdstring
mediaIdstring
Query String
sdkIdstring
noncestring
timestampstring
GET /sessions/{sessionId}/media/{mediaId}/content
Copy
Responses application/json
200

OK. Response body depends on Content-Type of the media

No response body
204

OK. Regulations prevent us from returning the media content

400

Bad Request

401

Unauthorised request (wrong key or signature)

404

Session, Media or App not found

Response
Copy

Delete media content

Deletes a specific media content

Auth
Headers
X-Yoti-Device-Metastring

X-Yoti-Device-Meta header containing a base64 encoded JSON with DeviceMetadata (as per the schema)

Path Params
sessionIdstring
mediaIdstring
Query String
sdkIdstring
noncestring
timestampstring
DELETE /sessions/{sessionId}/media/{mediaId}/content
Copy
Responses application/json
204

No content

No response body
400

Bad Request

401

Unauthorised request (wrong key or signature)

404

Session, Media or App not found

409

Session is locked (session in progress before triggering checks) or Resource is locked (session in progress with checks triggered)

Response
Copy

Upload FaceCapture image

Provides image media for FaceCapture resource. This endpoint supports image/jpq & image/png Content-Type values.

Please note that the binary content part of the request payload MUST specify the filename parameter in the Content-Disposition e.g.

Content-Disposition: form-data; name="binary-content"; filename="example.png"

Auth
Headers
X-Yoti-Device-Metastring

X-Yoti-Device-Meta header containing a base64 encoded JSON with DeviceMetadata (as per the schema)

Path Params
sessionIdstring
resourceIdstring
Form Data
binary-contentfile
PUT /sessions/{sessionId}/resources/face-capture/{resourceId}/image
Copy
Responses application/json
200

OK, image updated

No response body
400

Bad Request

401

Unauthorised request (wrong or missing token)

403

Forbidden

404

Session, Resource or Task id not found

409

Token is expired or resource is locked

415

Unsupported content type

422

Unprocessable Media

503

The service is unavailable

Response
Copy

Trigger checks

Trigger checks

Auth
Headers
X-Yoti-Device-Metastring

X-Yoti-Device-Meta header containing a base64 encoded JSON with DeviceMetadata (as per the schema)

Path Params
sessionIdstring
DELETE /sessions/{sessionId}/client-session-token
Copy
Responses application/json
204

Success (the client session token is deleted)

No response body
400

Bad Request (missing header value)

401

Unauthorised request (wrong or missing token)

403

Forbidden

404

Session Not Found

409

Token expired or incomplete resources

503

The service is unavailable

Response
Copy